﻿@using Bookstore.Entities;
@{
    ViewBag.Title = "Bookstores";
}
<h5>Top Rated stores</h5>
<table class="table">
    <thead>
        <tr>
            <th>#</th>
            <th>Name</th>
        </tr>
    </thead>
    <tbody>
        @{
            var topRatedStores = (Store[])ViewBag.topRatedStores;
            foreach (var store in topRatedStores)
            {
                <tr>
                    <td>  @store.Id </td>
                    <td>  @store.Name</td>
                </tr>
            }
        }
    </tbody>
</table>
<h5>Stores</h5>
<table class="table">
    <thead>
        <tr>
            <th>#</th>
            <th>Name</th>
            <th>Edit</th>
            <th>Remove</th>
        </tr>
    </thead>
    <tbody>
        @{
            var displayedStores = (Store[])ViewBag.displayedStores;
            foreach (var store in displayedStores)
            {
                <tr>
                    <td>  @store.Id </td>
                    <td>  @store.Name</td>
                    <td> <a href="@Url.Action("EditStore","Home",new { storeId=store.Id})"><span class="glyphicon glyphicon-edit"></span></a></td>
                    <td> <a href="@Url.Action("RemoveStore","Home",new { storeId=store.Id})"><span class="glyphicon glyphicon-trash"></span></a></td>
                </tr>
            }
        }
    </tbody>
</table>
<ul class="pagination">
    @{
        var pagesCount = (int)ViewBag.pagesCount;
        var currentPage = (int)ViewBag.currentPage;

        for (var i = 0; i < pagesCount; i++)
        {
            <li class="@(i == currentPage ? "page-item active":"page-item")">
                <a href="@Url.Action("Index","Home",new {storePage=i })">@(i + 1)</a>
            </li>
        }
    }
</ul>
<br>
<button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">Add new store</button>
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="post" asp-action="AddNewStore" asp-controller="Home">
                <div class="modal-header">
                    <h4 class="modal-title">Create new store</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div>
                    <label for="Name" class="ui-hidden-accessible">Name: </label>
                    <input type="text" name="Name" placeholder="store name">
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-default">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>